启动MyEclipse时报错,An error has occurred see the log file 出现此类错误提示

在这里插入图片描述
有可能是MyEclipse加载完配置后有什么地方不能正常加载,百度上的搜索结果有需要指定workspace但不确定能否解决问题
之所以出现这个错误提示框是我自己的操作导致
起因
想修改Eclipse的jdk为1.8,于是到eclipse.ini文件中修改了jdk的配置路径为此电脑中的1.8安装路径
在这里插入图片描述
原因为无法配置MyEclipse2015的jdk版本为1.8,此电脑安装两个版本的jdk1.7,1.8
在这里插入图片描述
此时的环境变量JAVA_HOME的值为jdk1.8的安装路径
在这里插入图片描述
我的目的是将jdk版本替换为1.8
可能是因为PATH的变量中存在其他优先指定了jdk的路径
在这里插入图片描述
此处删除第一个环境变量
C:\Program Files (x86)\Common Files\Oracle\Java\javapath
出现错误
在这里插入图片描述
于是重温了一遍java环境变量的配置
%JAVA_HOME%\bin;%JAVA_HOME%\jre\bin;C:\windows\system32;C:\windows;C:\windows\System32\Wbem;C:\windows\System32\WindowsPowerShell\v1.0;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;D:\Program Files\PuTTY;%SystemRoot%\system32;%SystemRoot%;%SystemRoot%\System32\Wbem;%SYSTEMROOT%\System32\WindowsPowerShell\v1.0;%SYSTEMROOT%\System32\OpenSSH;%MAVEN_HOME%\bin;%ANDROID_SDK_HOME%\platform-tools;%ANDROID_SDK_HOME%\tools;
结果是我的第一个Android程序运行不起来并非jdk版本问题
在这里插入图片描述
如果用大佬的办法那么问题就回到了最开始的情况
为什么我的eclipse.ini文件配置了jdk1.8会导致MyEclipse无法运行
https://blog.csdn.net/yzwty/article/details/51219311
希望能够找到解决办法并记录此类错误

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页